AppdefGroupPagerFilterGrpEntRes (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.pager.AppdefGroupPagerFilterGrpEntRes class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared.pager
Class AppdefGroupPagerFilterGrpEntRes

    java.lang.Object
      org.hyperic.hq.appdef.shared.pager.AppdefGroupPagerFilterGrpEntRes

All Implemented Interfaces:
  AppdefPagerFilter

    public class AppdefGroupPagerFilterGrpEntRes

extends java.lang.Object
implements AppdefPagerFilter

Pager Processor filter that filters object instances of AppdefGroupValue based on entity and resource type. The entity & resource types are specified during construction and used during paging. The filter simply returns a flag indicating whether or not entity was caught by the filter. [input] [input] [output] ENTITY_TYPE RESOURCE_TYPE TRUE (INVENTORY RETURNED) ---------------------------------------------------------------------- PLATFORM -1 Mixed Groups of PSS & Compat groups of PS PLATFORM Compat groups of PS and SERVER -1 Mixed Groups of PSS & Compat groups of PS SERVER Compat groups of PS and SERVICE -1 Mixed Groups of PSS & Compat groups of SVC SERVICE Compat groups of SVC and APPLICATION -1 Mixed Groups of App

Constructor Summary
`AppdefGroupPagerFilterGrpEntRes(int et, int rt)`
`AppdefGroupPagerFilterGrpEntRes(int et, int rt, boolean negate)`

Method Summary
`int` | `getEntityType()`
`int` | `getFilterCount()` Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively
`int` | `getResourceType()`
`boolean` | `isCaught(java.lang.Object o)` Evaluate an object against the filter.
`boolean` | `isExclusive()` Is this filer set to exclude resources that match the filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefGroupPagerFilterGrpEntRes

    public AppdefGroupPagerFilterGrpEntRes(int et,
                                           int rt)

### AppdefGroupPagerFilterGrpEntRes

    public AppdefGroupPagerFilterGrpEntRes(int et,
                                           int rt,
                                           boolean negate)

Method Detail

### getEntityType

    public int getEntityType()

### getResourceType

    public int getResourceType()

### getFilterCount

    public int getFilterCount()

  Description copied from interface: `AppdefPagerFilter`
  Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively

  Specified by:
    `getFilterCount` in interface `AppdefPagerFilter`

### isExclusive

    public boolean isExclusive()

  Description copied from interface: `AppdefPagerFilter`
  Is this filer set to exclude resources that match the filter. If exclude==false, this would imply an inclusive filter.

  Specified by:
    `isExclusive` in interface `AppdefPagerFilter`

### isCaught

    public boolean isCaught(java.lang.Object o)

  Evaluate an object against the filter.

  Specified by:
    `isCaught` in interface `AppdefPagerFilter`
  Parameters:
    `o` - - object instance of AppdefGroupValue
  Returns:
    flag - true if caught (unless negated)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.